Bug 1119898 - [RFE] Indicate which network is utilized when engine generates Network Usage alert
Summary: [RFE] Indicate which network is utilized when engine generates Network Usage ...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: ---
Assignee: Rob Young
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 19:10 UTC by Jake Hunsaker
Modified: 2019-09-26 13:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Network
Target Upstream Version:
nyechiel: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1070667 None CLOSED engine should report the interface name for which "Used Network resources of host xxxxxxxx [100%] exceeded defined thres... 2019-09-26 13:32:12 UTC

Internal Links: 1070667

Description Jake Hunsaker 2014-07-15 19:10:00 UTC
Currently, the engine generates the following alert when it detects that a hypervisor's network usage is high:


Used Network resources of host $hypervisor [100%] exceeded defined threshold [95%].


This does not help us in situations where we are investigating a sporadic or intermittent network usage spike and looking back through the audit_log or similar. This RFE is to adjust this message to include which logical network(s) are using the highest bandwidth, e.g.:


Networks $network1, $network2 on hypervisor $hypervisor are using a total of $usage_perc of network resources.


Or anything similar that will identify the networks triggering the alert.

Comment 1 Nir Yechiel 2014-07-30 12:04:23 UTC
Hi Jake,

Starting with 3.4 the individual NIC/NICs should be specified and not just the hypervisor name - see BZ 1070667. This should provide a significant improvement already. Can you take a look on that and see if this can help?

For this customer request I guess that several networks (VLANs) are used in the same NIC, so he prefer to get the information on a per network level? Also, keep in mind that the congestion/network load can be caused due to outside speakers in the network, so it's not always trivial to provide this kind of info on the hypervisor level.

Comment 2 Nir Yechiel 2014-08-27 11:27:52 UTC
Jake, can you please comment on this?

Thanks,
Nir

Comment 3 Jake Hunsaker 2014-08-27 14:13:38 UTC
Nir,

For our purposes right now the individual NIC report should be sufficient after going over the situation with the customer.

However, we have numerous customers that have a decent amount of VLANs on the same physical NIC so I could see in the future where we'd still want to pin the alert to a specific logical network.

Comment 5 Yaniv Lavi 2016-11-23 10:24:47 UTC
We will be resolving this as part of alerting on the metric store.

Comment 8 Sandro Bonazzola 2019-09-26 13:33:52 UTC
Seems to be network related logging on the engine, moved to network


Note You need to log in before you can comment on or make changes to this bug.